Next: Certificate Options, Up: GPGSM Options

#### 4.2.1 How to change the configuration

These options are used to change the configuration and are usually found in the option file.

`--options` file
  Reads configuration from file instead of from the default per-user configuration file. The default configuration file is named `gpgsm.conf` and expected in the `.gnupg` directory directly below the home directory of the user.
`--homedir` dir
  Set the name of the home directory to dir. If this option is not used, the home directory defaults to `~/.gnupg`. It is only recognized when given on the command line. It also overrides any home directory stated through the environment variable `GNUPGHOME` or (on W32 systems) by means of the Registry entry HKCU\Software\GNU\GnuPG:HomeDir.
`-v`
`--verbose`
  Outputs additional information while running. You can increase the verbosity by giving several verbose commands to `gpgsm`, such as ‘`-vv`’.
`--policy-file` filename
  Change the default name of the policy file to filename.
`--agent-program` file
  Specify an agent program to be used for secret key operations. The default value is the `/usr/local/bin/gpg-agent`. This is only used as a fallback when the environment variable `GPG_AGENT_INFO` is not set or a running agent cannot be connected.
`--dirmngr-program` file
  Specify a dirmngr program to be used for CRL checks. The default value is `/usr/sbin/dirmngr`. This is only used as a fallback when the environment variable `DIRMNGR_INFO` is not set or a running dirmngr cannot be connected.
`--prefer-system-dirmngr`
  If a system wide `dirmngr` is running in daemon mode, first try to connect to this one. Fallback to a pipe based server if this does not work. Under Windows this option is ignored because the system dirmngr is always used.
`--disable-dirmngr`
  Entirely disable the use of the Dirmngr.
`--no-secmem-warning`
  Do not print a warning when the so called "secure memory" cannot be used.
`--log-file` file
  When running in server mode, append all logging output to file.